Bug 1469680 - Remove the gateway of external net won't affect router
Remove the gateway of external net won't affect router
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
medium Severity medium
: z4
: 10.0 (Newton)
Assigned To: Brian Haley
Toni Freger
: Triaged, ZStream
Depends On:
  Show dependency treegraph
Reported: 2017-07-11 11:39 EDT by Brian Haley
Modified: 2017-09-06 13:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: openstack-neutron-9.4.0-2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-09-06 13:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1520775 None None None 2017-07-11 11:39 EDT

  None (edit)
Description Brian Haley 2017-07-11 11:39:54 EDT
Cloned from launchpad bug 1520775.


I found this one when build up a test env.

Steps to reproduce:
1) I create a set of external network, internal network and router. The external network has gateway ip in its subnet.
2) connect the external, internal network and router, by using router-gateway-set, router-interface-add.
3) Then I realize my physical network doesn't have a gateway. So I update the subnet of external network with --no-gateway.
4) I can't see the default route be deleted in router namespace, even if I restart l3-agent.

I try it in legacy router and DVR, they both have this problem, and I believe HA router will have this problem.

Specification URL (additional information):

Comment 2 Brian Haley 2017-07-14 16:39:40 EDT
Comment 5 errata-xmlrpc 2017-09-06 13:17:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.